Enable merge jobs to trigger downstream job
[ci-management.git] / jjb / shell / kni_deploy_libvirt.sh
1 #!/bin/bash
2 #
3 # Copyright (c) 2019 Red Hat
4 #
5 # Licensed under the Apache License, Version 2.0 (the "License");
6 # you may not use this file except in compliance with the License.
7 # You may obtain a copy of the License at
8 #
9 #        http://www.apache.org/licenses/LICENSE-2.0
10 #
11 # Unless required by applicable law or agreed to in writing, software
12 # distributed under the License is distributed on an "AS IS" BASIS,
13 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14 # See the License for the specific language governing permissions and
15 # limitations under the License.
16
17 set -e -u -x -o pipefail
18
19 export PATH=$PATH:/usr/local/go/bin:/usr/local/bin
20 KNI_PATH='src/gerrit.akraino.org/kni/installer'
21
22 echo '---> Starting kni installer generation'
23
24 # move to right directory in GOPATH
25 mkdir -p ${WORKSPACE}/${KNI_PATH}
26 export GOPATH=${WORKSPACE}
27 mv cmd pkg vendor ${WORKSPACE}/${KNI_PATH}/
28
29 # do a host preparation and cleanup
30 bash utils/prep_host.sh
31 wget https://raw.githubusercontent.com/openshift/installer/master/scripts/maintenance/virsh-cleanup.sh
32 chmod a+x ./virsh-cleanup.sh
33 sudo bash -c "yes Y | ./virsh-cleanup.sh"
34
35 # first build kni installer
36 make build 2>&1 | tee ${WORKSPACE}/build.log
37
38 # now build the openshift-install binary and copy to gopath
39 make binary 2>&1 | tee ${WORKSPACE}/binary.log
40
41 # then start libvirt deploy
42 export MASTER_MEMORY_MB=24000
43 export CREDENTIALS=file://$(pwd)/akraino-secrets
44 export BASE_REPO="git::https://gerrit.akraino.org/r/kni/templates"
45 export BASE_PATH="libvirt/1-node"
46 export SITE_REPO="git::https://gerrit.akraino.org/r/kni/templates"
47 export SETTINGS_PATH="libvirt/sample_settings.yaml"
48 export INSTALLER_PATH="file://${WORKSPACE}/bin/openshift-install"
49 make deploy 2>&1 | tee ${WORKSPACE}/libvirt_deploy.log
50 STATUS=$?
51
52 # output tfstate
53 echo "metadata.json for removing cluster"
54 cat $(pwd)/build/metadata.json
55
56 if [ $STATUS -ne 0 ]; then
57     echo "Error deploying in libvirt"
58     exit 1
59 fi
60
61 exit $STATUS